@import "mixins/main";
@import "settings";
@import "mixins/main";
@import "mixins/grid";

@media #{$medium-down}{
  /*------------- Widget Blocks --------------*/
  .list-block {
    margin-left: 0px;
    padding: 10px 25px;
    &:first-of-type {
      padding-top: 15px;
    }
    &:last-of-type {
      padding-bottom: 15px;
    }
  }
}

@media #{$small-down}{
  .megamenu-nav-primary{
    li.level0{
      display: block;
      & > a,& > span{
        display:block;
      }
    }
    a.level0,span.level0{
      border-bottom: 1px solid #cccccc;
    }
    .megamenu{
      position:relative;
      width:100% !important;
      & > div{
        width:100%;
      }
    }
  }

  .megamenu-nav-primary li.level0 > a,
  .megamenu-nav-primary li.level0 > span{
    padding-left:25px;
  }

  .megamenu-nav-primary li.parent > a:after,
  .megamenu-nav-primary li.parent > span:after{
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    display: block;
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-left: 5px solid #cccccc;
    border-right: none;
    top: 50%;
    left: 10px;
    right: auto;
    margin-top: -5px;
  }

  .megamenu-nav-primary li.parent.menu-active > a:after,
  .megamenu-nav-primary li.parent.menu-active > span:after{
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    display: block;
    border-right: 5px solid transparent;
    border-left: 5px solid transparent;
    border-top: 5px solid #cccccc;
    border-bottom: none;
    top: 50%;
    left: 10px;
    right: auto;
    margin-top: -5px;
  }

  /*----------- Main DropDown Styling ---------------*/
  .megamenu-nav .megamenu-nav-primary div.megamenu {
    border-top:0px;
    margin-left:0px !important;
    margin-right:0px !important;
  }

  /*------------- Component Styles --------------*/

  li.section-title {
    margin-bottom:0px;

    span{
      display:block;
      border-bottom: 1px solid #ccc;
      padding:0 15px 0 25px;
      line-height:30px;

      > a {
        padding:0px;
        border-bottom:0px;
      }
    }
  }

  /*------------- Widget Blocks --------------*/
  .list-block {
    li {
      a {
        padding: 0 15px 0 25px;
        border-bottom: 1px solid #ccc;
      }
    }
  }


  /*------------- Display Classes --------------*/
  .hide-on-small {
    display: none !important;
  }

  .categories-list-block .list-title {
    display: none;
  }

  .small-only-view-all{
    display:block;
  }


  @for $i from 1 through $grid-columns {
      .#{$container-class}  .#{$class-prefix}column_#{$i}_#{$grid-columns} {
        @include grid_column($grid-columns);
      }
  }

  @for $i from 1 through 5 {
      .#{$container-class} .#{$class-prefix}column_#{$i}_5 {
        @include grid_column($grid-columns);
      }
  }
}

@media #{$medium-only} {
  .hide-on-medium{
    display:none !important;
  }
}

@media #{$large-only} {
  .hide-on-large{
    display:none !important;
  }
}